% Copyright 2004 by Till Tantau <tantau@users.sourceforge.net>.
%
% In principle, this file can be redistributed and/or modified under
% the terms of the GNU Public License, version 2.
%
% However, this file is supposed to be a template to be modified
% for your own needs. For this reason, if you use this file as a
% template and not specifically distribute it as part of a another
% package/program, I grant the extra permission to freely copy and
% modify this file as you see fit and even to delete this copyright
% notice. 

\documentclass{beamer}


\usepackage{array}


% There are many different themes available for Beamer. A comprehensive
% list with examples is given here:
% http://deic.uab.es/~iblanes/beamer_gallery/index_by_theme.html
% You can uncomment the themes below if you would like to use a different
% one:
%\usetheme{AnnArbor}
%\usetheme{Antibes}
%\usetheme{Bergen}
%\usetheme{Berkeley}
%\usetheme{Berlin}
%\usetheme{Boadilla}
%\usetheme{boxes}
%\usetheme{CambridgeUS}
%\usetheme{Copenhagen}
%\usetheme{Darmstadt}
%\usetheme{default}
%\usetheme{Frankfurt}
%\usetheme{Goettingen}
%\usetheme{Hannover}
%\usetheme{Ilmenau}
%\usetheme{JuanLesPins}
%\usetheme{Luebeck}
\usetheme{Madrid}
%\usetheme{Malmoe}
%\usetheme{Marburg}
%\usetheme{Montpellier}
%\usetheme{PaloAlto}
%\usetheme{Pittsburgh}
%\usetheme{Rochester}
%\usetheme{Singapore}
%\usetheme{Szeged}
%\usetheme{Warsaw}

\setbeamertemplate{footline}[frame number]{}
\setbeamertemplate{navigation symbols}{}


\title{Next-generation Service Provider Router}


\author{MD Iftakharul Islam, Javed I Khan}
% - Give the names in the same order as the appear in the paper.
% - Use the \inst{?} command only if the authors have different
%   affiliation.

\institute[Kent State University] % (optional, but mostly needed)
{
	Department of Computer Science\\
	Kent State University\\
	Kent, OH. \\
	Email: mislam4@kent.edu, javed@cs.kent.edu
}

\date[\today]{}

% - Use the \inst command only if there are several affiliations.
% - Keep it simple, no one is interested in your street address.

% This is only inserted into the PDF information catalog. Can be left
% out. 

% If you have a file called "university-logo-filename.xxx", where xxx
% is a graphic format that can be processed by latex or pdflatex,
% resp., then you can add a logo as follows:

% \pgfdeclareimage[height=0.5cm]{university-logo}{university-logo-filename}
% \logo{\pgfuseimage{university-logo}}

% Delete this, if you do not want the table of contents to pop up at
% the beginning of each subsection:


% Let's get started
\begin{document}
	
	\begin{frame}
		\titlepage
	\end{frame}

	\begin{frame}{Linux Based Programmable Router}
		\begin{itemize}

			\item Currently service provider routers are developed based on TCAM which is very expensive, power hungry and not programmable.
			
			\item Recently VLIW processor has been used to develop programmable router.
			
			\item We are working on VLIW processor based Linux router which would be suitable for service provider networks.
			
		\end{itemize}
			  
		\begin{figure}[!t]
			\centering
			\includegraphics[width=3cm]{Linux-Router.png}
			\caption{Linux Router}\label{router-linecard}
		\end{figure}
	\end{frame}
	
	\begin{frame}{Routing Table Lookup}
		\begin{itemize}
			\item The number of routes in the Internet backbone routers has reached $800K$ and growing rapidly.		
			  
			  \item A backbone router needs to perform around $1$ billion routing table lookups per second.

			 			  			  
			  \item We have developed IPv4 routing table lookup based on VLIW processor that can achieve that throughput.
			\begin{itemize}
			\item IEEE High Performance Routing and Switching, 2019
			\end{itemize}	  
			  
			  \item We anticipate, our solution is also applicable to IPv6 routing table.
			
		\end{itemize}
	\end{frame}
	
	\begin{frame}{Implementing RCP protocol in the Router}
		\begin{itemize}	  		
			\item Researchers have developed RCP protocol which improves the QoS of video conference significantly.
			\begin{itemize}
				\item IEEE International Conference on Network Protocols (ICNP), 2017
			\end{itemize}
			
			\item It is however very hard to implement RCP in a high-speed router. Currently there is no high-speed router that supports it.
			
			\item We have implemented RCP protocol (\textit{software only}) in a high-speed router.
			\begin{itemize}
				\item IEEE High Performance Routing and Switching, 2019
			\end{itemize}			
			
			\item Our experiment is useful to VLIW processor manufacturers who are developing the underlying hardware. 
			
		\end{itemize}
	\end{frame}
	
\end{document}


